function init(hero) {
    hero.setName("Artemis");
    hero.setTier(3);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.setPrimaryEquipment("fiskheroes:compound_bow");
    hero.addEquipment("fiskheroes:quiver");

    hero.addPowers("fiskheroes:archery");
    hero.addAttribute("PUNCH_DAMAGE", 5.1, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.1, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);
    hero.addAttribute("BOW_DRAWBACK", 0.55, 1);
    
    hero.addKeyBind("HORIZONTAL_BOW", "key.horizontalBow", 1);

    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isKeyBindEnabled(entity, keyBind) {
    var height = entity.posY();
    switch (keyBind) {
    case "HORIZONTAL_BOW":
        return entity.getHeldItem().name() == "fiskheroes:compound_bow";
    default:
        return true;
    }    
}
